#!/bin/bash
#
# {{ ansible_managed }}
#
# Tweak network interface txqueuelen as recommended for LXD:
# https://github.com/lxc/lxd/blob/master/doc/production-setup.md
#

INTERFACES=$(cat /proc/net/dev | grep : | cut -d: -f1 | sed -e 's/ //g' | grep -v ^lo$)

for IFACE in $INTERFACES; do
    ip link set $IFACE txqueuelen 10000
done

